Page MenuHomePhabricator

Get Malaysia into the monuments database
Open, HighPublic

Description

Malaysia has lists on Commons that are with templates, but they are not ready for Wikidata (sourcing). It seems they were never added to the monuments database. I don't see any obstacle from our point of view, but please let me know if there's a blocker.

https://commons.wikimedia.org/wiki/Commons:Wiki_Loves_Monuments_2017_in_Malaysia/Monuments

Template row is a redirect to [[Commons:Wiki_Loves_Monuments_2015_in_Malaysia/table]] and [[Commons:Wiki_Loves_Monuments_2015_in_Malaysia/row]]. If need be, I can do Search& Replace to make it with a year-neutral template.

List is self-produced based on literature research, it has not a government status to the best of my knowledge. Identifier is in-house.

Event Timeline

Hmmm, do we support harvesting from Commons itself... need to check that.

Hah, I realize I should have filled this out:

project : commons
lang :
headerTemplate : Commons:Wiki_Loves_Monuments_in_Malaysia/Monuments/table
rowTemplate : Commons:Wiki_Loves_Monuments_in_Malaysia/Monuments/row
commonsTemplate : Cultural Heritage Malaysia
commonsTrackerCategory : Cultural heritage monuments in Malaysia with known IDs
commonsCategoryBase : Cultural heritage monuments in Malaysia
autoGeocode : False
unusedImagesPage : ?? Page on Wikipedia where to report unused images ('Wikipedia:Wikiproject/Erfgoed/Nederlandse Erfgoed Inventarisatie/Ongebruikte foto\'s'). You can leave this empty.
imagesWithoutIdPage : ?? Page with a list of images without an identifier template at Commons ('Wikipedia:Wikiproject/Erfgoed/Nederlandse Erfgoed Inventarisatie/Foto\'s zonder id'). You can leave this empty.
namespaces : 4
table : monuments_my_(en)
truncate : ?? To empty out the table on update (False). You need this if you don't have strong identifiers.
primkey : id
fields : All the fields the bot can find

  • source : The name of the field in the row template ('objrijksnr')
  • dest : The destination field in the sql table (u'objrijksnr'). Please keep this ascii to prevent problems. If you leave it empty this information will just be dropped.
  • conv : Do we want to do any conversions? Deprecated leave empty please.

Please let me know if the templates have to be moved to the template namespace.

LilyOfTheWest triaged this task as High priority.Aug 29 2017, 5:36 AM
LilyOfTheWest moved this task from Backlog to Next Up on the Wiki-Loves-Monuments (2017) board.

Hmmm, do we support harvesting from Commons itself... need to check that.

We do bad bad assumptions about lang = sitecode and with the wikidata branch merging these will be more.

The hacky way of getting around it is to introduce yet another config parameter (sitecode) which is used for url determination. When not present it simply takes the value of the lang config parameter.

Actually, I got quite far with just using

"country": "my",
"lang": "commons",
"project": "commons",
"table": "monuments_my_(en)",

The bit I stumble on is having templates not in the Template namespace. It’s actually really annoying :-/

Actually, I got quite far with just using

"country": "my",
"lang": "commons",
"project": "commons",
"table": "monuments_my_(en)",

Wikidata branch uses lang to get the label in the right language.

@JeanFred Actually now that it is no longer year dependent, I don't see a reason why not use the template namespace. So if that helps you, I could just move it there. Let me know if you've already overcome the issue or that this woudl still help.

@JeanFred Actually now that it is no longer year dependent, I don't see a reason why not use the template namespace. So if that helps you, I could just move it there. Let me know if you've already overcome the issue or that this woudl still help.

I tried really hard, but yeah, that would help :D

Done. Template is now:

  • Template:Wiki Loves Monuments in Malaysia/Monuments/row
  • Template:Wiki Loves Monuments in Malaysia/Monuments/table

Change 532405 had a related patch set uploaded (by Jean-Frédéric; owner: Jean-Frédéric):
[labs/tools/heritage@master] Add Malaysia in English on Commons (my_en) to monuments_config

https://gerrit.wikimedia.org/r/532405

Change 532405 merged by jenkins-bot:
[labs/tools/heritage@master] Add Malaysia in English on Commons (my_en) to monuments_config

https://gerrit.wikimedia.org/r/532405

Mentioned in SAL (#wikimedia-cloud) [2019-08-31T21:25:16Z] <JeanFred> Deploy latest from Git master: 7bf1d3c (T173783)

Aklapper removed JeanFred as the assignee of this task.Jun 19 2020, 4:17 PM
Aklapper added subscribers: JeanFred, Aklapper.

This task has been assigned to the same task owner for more than two years. Resetting task assignee due to inactivity, to decrease task cookie-licking and to get a slightly more realistic overview of plans. Please feel free to assign this task to yourself again if you still realistically work or plan to work on this task - it would be welcome!

For tips how to manage individual work in Phabricator (noisy notifications, lists of task, etc.), see https://phabricator.wikimedia.org/T228575#6237124 for available options.
(For the records, two emails were sent to assignee addresses before resetting assignees. See T228575 for more info and for potential feedback. Thanks!)

This open task is tagged with Wiki-Loves-Monuments 2018 which was two years ago. If this task was/is resolved, then please update the task status. If this task was not resolved but is still valid, then please update the project tags to include at least one active project tag, so this task could be found when looking at that other project. (Without reaction, this task might get declined at some point.) Thanks a lot!

Removing Wiki-Loves-Monuments 2018 tag as that was two years ago; adding general Wiki-Loves-Monuments tag.